openapi: 3.0.0
info:
    version: "1.91.0.1"
    title: API REST Servicios CGES
    description: >
        <h3>Operaciones Internas</h3>
        <p>Este apartado de la definición recoge las operaciones internas de comunicación de la aplicación:</p>
        <ul>
            <li>Consulta y operaciones de acceso al sistema</li>
            <li>Operaciones para aplicaciones de SSHH</li>
            <li>Integraciones con servicios del SAS</li>
            <li>Integraciones con aplicaciones de SSHH</li>
        </ul>
        <p>Incluye métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: https://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:

    #Consulta y operaciones de acceso al sistema
    
    /accesos/token/login:
        $ref: './paths_accesos_token_login.yaml'
    /accesos/token/api:
        $ref: './paths_accesos_token_api.yaml'
    /accesos/sesiones:
        $ref: './paths_accesos_sesiones.yaml'
    /accesos/sesiones/temporal:
        $ref: './paths_accesos_sesiones_temporal.yaml'
        
    #Operaciones para aplicaciones de SSHH
    /cges/logs/adescr:
        $ref: './paths_cges_logs_adescr.yaml'
    /cges/logs/adescr/versiones:
        $ref: './paths_cges_logs_adescr_versiones.yaml'
    /cges/global/propiedades:
        $ref: './paths_cges_global_propiedades.yaml'
    /cges/servicios/procedimientos:
        $ref: './paths_cges_servicios_procedimientos.yaml'    

    #Integraciones con servicios del SAS
    /agescon/{dni}/credenciales:
        $ref: './paths_agescon_id_credenciales.yaml'
    /cges/niae/vpns:
        $ref: './paths_cges_niae_vpns.yaml'
    /sgi/users:
        $ref: './paths_sgi_users.yaml'
    /sgi/users/{usuarioDmsas}:
        $ref: './paths_sgi_users_dmsas.yaml'
 
    #Integraciones con aplicaciones de SSHH
    /cges/web/accesos/autorizaciones:
        $ref: './paths_cges_web_accesos_autorizaciones.yaml'
    /vokplanisto/webhook/calls:
        $ref: './paths_cges_vokplanisto_webhook_calls.yaml'
    /rpa/{idRPA}/configuraciones/solicitudes/indisponibilidades:
        $ref: './paths_rpa_id_configuraciones_solicitudes_indisponibilidades.yaml'
    /rpa/configuraciones/tareasautomatizadas:
        $ref: './paths_rpa_configuraciones_tareasautomatizadas.yaml'
    /rpa/{idRPA}/configuraciones/tareasautomatizadas/{idTarea}:
        $ref: './paths_rpa_id_configuraciones_tareasautomatizadas_id.yaml'
    
    #Operaciones con cache de REDIS
    /redis:
        $ref: './paths_redis.yaml'
